#ifndef LEVELS_H
#define LEVELS_H
/*
   	Tairo v0.61
    Copyright (C) 2004 Jonas Gehring
        
    Tairo is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    Tairo is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Tairo; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

// Header File
// Created 22.11.04; 23:24:02


// level names
const char *const levelnames[] = {
	"Standard",
	"Beside The Centre",
	"Other Room",
	"Outdoors",
	"In The Curve",
	"At The Edge",
	"In The Corner",
	"French 1",
	"French 2",
	"French 3",
	"Square",
	"Diamond",
	"Pyramid",
	"Up Arrow",
	"Fireplace",
	"Plus",
	"Cross",
	"Little Pyramid",
	"L",
	"Hard?",
	"Chase",
	"Looks Easy",
	"X",
	"From 21",
	"Medallion",
	"Football",
	"Mulberry",
	"French Ring",
	"Butterfly",
	"Doctor",
	"Raleign",
	"Three Holes",
	"Svastika",
	"Octogon",
	"Four Holes",
	"Five Crosses",
	"De Roire",
	"Boola Boola",
	"Krazy Kat",
	"Triangle",
	"Crystal",
	"Unusual",
	"Target",
	"Bunch",
	"SC"
};


// The huge 3d-array containing 50 Levels
signed short levels[MAX_LEVELS][11][11] = {
	// Standard
	{
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  EMPTY,   FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID}
	},
	// Beside the centre
	{
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,   EMPTY,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID}
	},
	// Oher room
	{
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,   EMPTY,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID}
	},	
	// Outdoors
	{
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID}
	},	
	// In the curve
		{
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,   EMPTY,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID}
	},
	// At the edge
	{
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID}
	},
	// In the corner
	{
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID}
	},
	// French 1
	{
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,   EMPTY,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID}
	},
	// French 2
	{
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,   EMPTY,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID}
	},
	// French 3
	{
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID}
	},
	// Square
	{
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID}
	},	
	// Diamond
	{
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,  FILLED,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,   EMPTY,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,  FILLED,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID}
	},
	// Pyramid
	{
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,  FILLED,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,  FILLED,  FILLED,  FILLED,   EMPTY,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID}
	},
	// Up arrow
	{
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,  FILLED,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY,  FILLED,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY,  FILLED,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID}
	},
	// Fireplace
	{
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,  FILLED,  FILLED,  FILLED,   EMPTY,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,  FILLED,   EMPTY,  FILLED,   EMPTY,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY,   EMPTY,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID}
	},
	// Plus
	{
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,  FILLED,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY,  FILLED,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY,  FILLED,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,  FILLED,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID}
	},
	// Cross
	{
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,  FILLED,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,  FILLED,  FILLED,  FILLED,   EMPTY,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY,  FILLED,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY,  FILLED,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID}
	},
	// Little Pyramid
	{
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY,  FILLED,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,  FILLED,  FILLED,  FILLED,   EMPTY,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID}
	},
	// L
	{
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,   EMPTY,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,  FILLED,   EMPTY,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,  FILLED,  FILLED,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY,   EMPTY,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID}
	},
	// Hard?
	{
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,   EMPTY,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,  FILLED,   EMPTY,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,  FILLED,  FILLED,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,  FILLED,  FILLED,  FILLED,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID}
	},
	// Chase
	{
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,  FILLED,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY,   EMPTY,  FILLED,   EMPTY,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,  FILLED,  FILLED,   EMPTY,  FILLED,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,  FILLED,   EMPTY,  FILLED,   EMPTY,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,   EMPTY,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID}
	},
	// Looks easy
	{
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY,   EMPTY,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY,   EMPTY,  FILLED,  FILLED,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY,   EMPTY,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID}
	},
	// X
	{
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,   EMPTY,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,  FILLED,   EMPTY,  FILLED,   EMPTY,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY,  FILLED,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,  FILLED,   EMPTY,  FILLED,   EMPTY,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,   EMPTY,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID}
	},
	// From 21
	{
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,   EMPTY,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,  FILLED,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,  FILLED,  FILLED,  FILLED,   EMPTY,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,  FILLED,   EMPTY,   EMPTY,  FILLED,  FILLED,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,  FILLED,  FILLED,  FILLED,   EMPTY,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,  FILLED,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID}
	},
	// Medallion
	{
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,  FILLED,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,   EMPTY,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,  FILLED,   EMPTY,  FILLED,   EMPTY,  FILLED,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,   EMPTY,  FILLED,  FILLED,  FILLED,   EMPTY,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,  FILLED,   EMPTY,  FILLED,   EMPTY,  FILLED,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID}
	},
	// Football
	{
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY,   EMPTY,  FILLED,   EMPTY,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY,   EMPTY,   EMPTY,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,   EMPTY,  FILLED,   EMPTY,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID}
	},
	// Mulberry
	{
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,  FILLED,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,   EMPTY,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,  FILLED,   EMPTY,   EMPTY,   EMPTY,  FILLED,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,   EMPTY,   EMPTY,   EMPTY,   EMPTY,   EMPTY,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,  FILLED,   EMPTY,   EMPTY,   EMPTY,  FILLED,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,   EMPTY,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID}
	},
	// French Ring
	{
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID,   EMPTY,  FILLED,  FILLED,  FILLED,  EMPTY, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,  FILLED,  FILLED,   EMPTY,  FILLED,  FILLED,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY,   EMPTY,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,  FILLED,  FILLED,   EMPTY,  FILLED,  FILLED,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID,   EMPTY,  FILLED,  FILLED,  FILLED,   EMPTY, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID}
	},
	// Butterfly
	{
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,   EMPTY,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,  FILLED,  FILLED,   EMPTY,  FILLED,  FILLED,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY,  FILLED,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,  FILLED,  FILLED,   EMPTY,  FILLED,  FILLED,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,   EMPTY,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID}
	},
	// Doctor
	{
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,  FILLED,  FILLED,   EMPTY,   EMPTY,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,  FILLED,  FILLED,  FILLED,  FILLED,   EMPTY,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,  FILLED,  FILLED,   EMPTY,   EMPTY,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,   EMPTY,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID}
	},
	// Raleign
	{
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,  FILLED,  FILLED,  FILLED,  FILLED,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY,  FILLED,  FILLED,   EMPTY,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID}
	},
	// Three Holes
	{
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,   EMPTY,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID}
	},
	// Svastika
	{
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,   EMPTY,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,   EMPTY,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID}
	},
	// Octogon
	{
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,  FILLED,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,  FILLED,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID}
	},
	// Four Holes
	{
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,   EMPTY,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,   EMPTY,  FILLED,  FILLED,  FILLED,   EMPTY,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,   EMPTY,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID}
	},
	// Five Crosses
	{
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,  FILLED,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID,   EMPTY,  FILLED,  FILLED,  FILLED,   EMPTY, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,  FILLED,   EMPTY,  FILLED,   EMPTY,  FILLED,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,  FILLED,   EMPTY,  FILLED,   EMPTY,  FILLED,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID,   EMPTY,  FILLED,  FILLED,  FILLED,   EMPTY, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,  FILLED,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID}
	},
	// De Roire
	{
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY,  FILLED,   EMPTY,  FILLED,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,   EMPTY,  FILLED,  FILLED,  FILLED,   EMPTY,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,   EMPTY,   EMPTY,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,  FILLED,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID}
	},
	// Boola Boola
	{
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,  FILLED,  FILLED,   EMPTY,  FILLED,   EMPTY,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,  FILLED,  FILLED,  FILLED,  FILLED,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,  FILLED,  FILLED,  FILLED,   EMPTY,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,  FILLED,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID}
	},
	// Krazy Kat
	{
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,   EMPTY,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,   EMPTY,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,   EMPTY,  FILLED,  FILLED,  FILLED,  FILLED,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,  FILLED,  FILLED,  FILLED,   EMPTY,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,  FILLED,  FILLED,   EMPTY,  FILLED,   EMPTY,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,   EMPTY,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,   EMPTY,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID}
	},
	// Triangle
	{
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,  FILLED,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID}
	},
	// Crystal
	{
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,  FILLED,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID,  FILLED,   EMPTY,  FILLED,   EMPTY,  FILLED, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,  FILLED,  FILLED,  FILLED,   EMPTY,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,  FILLED,  FILLED,  FILLED,   EMPTY,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID,  FILLED,   EMPTY,  FILLED,   EMPTY,  FILLED, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,  FILLED,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID}
	},
	// Unusual
	{
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,  FILLED,  FILLED,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,  FILLED,  FILLED,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID}
	},
	// Target
	{
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,  FILLED,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,  FILLED,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,  FILLED,  FILLED,  FILLED,   EMPTY,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,   EMPTY,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,  FILLED,  FILLED,  FILLED,   EMPTY,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,  FILLED,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,  FILLED,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID}
	},
	// Bunch
	{
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,  FILLED,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,  FILLED,   EMPTY,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY,   EMPTY,   EMPTY,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,  FILLED,  FILLED,   EMPTY,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,  FILLED,  FILLED, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID}
	},
	// SC
	{
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,  FILLED,  FILLED,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,  FILLED,   EMPTY,   EMPTY,  FILLED,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID,   EMPTY,   EMPTY,  FILLED,   EMPTY,  FILLED,  FILLED,  FILLED, UNVALID, UNVALID},
		{UNVALID, UNVALID,  FILLED,  FILLED,   EMPTY,  FILLED,  FILLED,   EMPTY,   EMPTY, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,  FILLED,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID,   EMPTY,   EMPTY,   EMPTY, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID},
		{UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID, UNVALID}
	}
};

#endif